%global srcname astroquery
%global sum Python module to access astronomical online data resources

Name:           python-%{srcname}
Version:        0.3.3
Release:        1%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-astropy
BuildRequires:  python3-astropy
BuildRequires:  python-beautifulsoup4
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python-html5lib
BuildRequires:  python3-html5lib
BuildRequires:  python-keyring
BuildRequires:  python3-keyring
BuildRequires:  python-requests
BuildRequires:  python3-requests
# Doc generation not yet working with rawhide 
#BuildRequires:  python-sphinx
#BuildRequires:  python3-sphinx

%description
Astroquery is an astropy affiliated package that contains a collection of tools
to access online Astronomical data.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python-astropy
Requires:       python-beautifulsoup4
Requires:       python-html5lib
Requires:       python-keyring
Requires:       python-requests

%description -n python2-%{srcname}
Astroquery is an astropy affiliated package that contains a collection of tools
to access online Astronomical data.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-astropy
Requires:       python3-beautifulsoup4
Requires:       python3-html5lib
Requires:       python3-keyring
Requires:       python3-requests

%description -n python3-%{srcname}
Astroquery is an astropy affiliated package that contains a collection of tools
to access online Astronomical data.

#%%package -n python2-%%{srcname}-doc
#Summary:        Documentation for python-%%{srcname}

#%%description -n python2-%%{srcname}-doc
#Documentation for python-%%{srcname}.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
# Building docs using Python 2, not working with 3 yet
#%%{__python2} setup.py build_sphinx --offline
#rm -f docs/_build/html/.buildinfo

%py3_build


%install
%py2_install
%py3_install

# Fix permissions of some scripts
chmod 755 %{buildroot}%{python2_sitelib}/%{srcname}/alma/tests/data/downloadRequest*.sh
chmod 755 %{buildroot}%{python3_sitelib}/%{srcname}/alma/tests/data/downloadRequest*.sh

%files -n python2-%{srcname}
%license licenses/LICENSE.rst
%doc README.rst
%{python2_sitelib}/*
# Don't ship zero-length files
%exclude %{python2_sitelib}/%{srcname}/alma/tests/data/empty.html
%exclude %{python2_sitelib}/%{srcname}/cosmosim/tests/test_cosmosim.py

%files -n python3-%{srcname}
%license licenses/LICENSE.rst
%doc README.rst
%{python3_sitelib}/*
# Don't ship zero-length files
%exclude %{python3_sitelib}/%{srcname}/alma/tests/data/empty.html
%exclude %{python3_sitelib}/%{srcname}/cosmosim/tests/test_cosmosim.py

#%%files -n python2-%%{srcname}-doc
#%%doc README.rst docs/_build/html
#%%license licenses/LICENSE.rst

%changelog
* Wed Oct 12 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.3-1
- new version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jul 11 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.2-1
- new version

* Wed Feb 03 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.1-3
- Don't ship zero-length files
- Disabled -doc subpackage for now (doesn't build on rawhide yet)

* Fri Jan 22 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.1-2
- Added doc subpackage
- Fix permissions

* Thu Jan 21 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.1-1
- new version

* Sun Jan 03 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.0-1
- Initial spec


